package com.example.pmulabs.graphs

import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import androidx.navigation.NavType
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.navArgument
import com.example.pmulabs.screensMobile.LoadScreen
import com.example.pmulabs.viewModels.SearchViewModel
import com.example.pmulabs.viewModels.SharedViewModel

const val USERID_ARGUMENT="userId"

@Composable
fun RootNavigationGraph(navController: NavHostController, searchViewModel: SearchViewModel, sharedViewModel: SharedViewModel){
    NavHost(
        navController=navController,
        route = Graph.ROOT,
        startDestination = Graph.AUTHENTICATION
    ){
        authNavGraph(navController=navController,sharedViewModel)
        composable(route=Graph.MAIN,
            arguments = listOf(navArgument(USERID_ARGUMENT){
                type= NavType.StringType
            })){
            LoadScreen(searchViewModel = searchViewModel, sharedViewModel = sharedViewModel)
        }
    }
}

object Graph{
    const val ROOT="root_graph"
    const val AUTHENTICATION="auth_graph"
    const val MAIN="main_graph/{$USERID_ARGUMENT}"
    fun passUserId(userId: String): String{
        return "main_graph/$userId"
    }
}